dots.v2.tags.byTag_id().resources.post()
Generated on 13 Nov 2026
from DoTs version
v1.24.0
Usage
client.v2.tags.byTag_id(tag_id).resources.post(body: Tags_resource, requestConfiguration?: RequestConfiguration<object>): Promise<void>Description
Resources can be tagged by sending a POST request to
/v2/tags/{tag_id}/resources with an array of json objects containing
resource_id and resource_type attributes.
Currently only tagging of Droplets, Databases, Images, Volumes, and Volume
Snapshots is supported. resource_type is expected to be the string droplet,
database, image, volume or volume_snapshot. resource_id is expected
to be the ID of the resource as a string.
In order to tag a resource, you must have both tag:create and <resource type>:update scopes. For example,
to tag a Droplet, you must have tag:create and droplet:update.
Parameters
Path Parameters
tag_idstring requiredExample:
awesomeThe name of the tag. Tags may contain letters, numbers, colons, dashes, and underscores. There is a limit of 255 characters per tag.
Request Body
resourcesarray of objects requiredExample:
[{"resource_id": "9569411", "resource_type": "droplet"}, {"resource_id": "7555620", "resource_type": "image"}, {"resource_id": "3d80cb72-342b-4aaa-b92e-4e4abb24a933", "resource_type": "volume"}]An array of objects containing resource_id and resource_type
attributes.
This response will only include resources that you are authorized to see.
For example, to see Droplets, include thedroplet:readscope.Show child properties
resourceIdstring optionalExample:
3d80cb72-342b-4aaa-b92e-4e4abb24a933The identifier of a resource.
resourceTypestring optionalThe type of the resource.
Request Sample
More Information
See /v2/tags/{tag_id}/resources in the API reference for additional detail on responses, headers, parameters, and more.